curl --request POST \
--url https://registry.{region}.basaltic.sh/v1/repositories/{repository_id}/images/batch-delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"digests": [
"sha256:1f3c9e0b8d7a6f5e4c3b2a190807f6e5d4c3b2a1908f7e6d5c4b3a2019f8e7d6c"
],
"tags": [
"v1.4.1"
]
}
'import requests
url = "https://registry.{region}.basaltic.sh/v1/repositories/{repository_id}/images/batch-delete"
payload = {
"digests": ["sha256:1f3c9e0b8d7a6f5e4c3b2a190807f6e5d4c3b2a1908f7e6d5c4b3a2019f8e7d6c"],
"tags": ["v1.4.1"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
digests: ['sha256:1f3c9e0b8d7a6f5e4c3b2a190807f6e5d4c3b2a1908f7e6d5c4b3a2019f8e7d6c'],
tags: ['v1.4.1']
})
};
fetch('https://registry.{region}.basaltic.sh/v1/repositories/{repository_id}/images/batch-delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://registry.{region}.basaltic.sh/v1/repositories/{repository_id}/images/batch-delete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'digests' => [
'sha256:1f3c9e0b8d7a6f5e4c3b2a190807f6e5d4c3b2a1908f7e6d5c4b3a2019f8e7d6c'
],
'tags' => [
'v1.4.1'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://registry.{region}.basaltic.sh/v1/repositories/{repository_id}/images/batch-delete"
payload := strings.NewReader("{\n \"digests\": [\n \"sha256:1f3c9e0b8d7a6f5e4c3b2a190807f6e5d4c3b2a1908f7e6d5c4b3a2019f8e7d6c\"\n ],\n \"tags\": [\n \"v1.4.1\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://registry.{region}.basaltic.sh/v1/repositories/{repository_id}/images/batch-delete")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"digests\": [\n \"sha256:1f3c9e0b8d7a6f5e4c3b2a190807f6e5d4c3b2a1908f7e6d5c4b3a2019f8e7d6c\"\n ],\n \"tags\": [\n \"v1.4.1\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://registry.{region}.basaltic.sh/v1/repositories/{repository_id}/images/batch-delete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"digests\": [\n \"sha256:1f3c9e0b8d7a6f5e4c3b2a190807f6e5d4c3b2a1908f7e6d5c4b3a2019f8e7d6c\"\n ],\n \"tags\": [\n \"v1.4.1\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"deleted": [
{
"digest": "<string>",
"tags": [
"<string>"
]
}
],
"failed": [
{
"code": "ImageNotFound",
"reason": "<string>",
"digest": "<string>",
"tag": "<string>"
}
]
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Eliminar imágenes
Eliminar por digest borra el manifiesto y todas sus etiquetas; la respuesta identifica las etiquetas eliminadas. Eliminar por etiqueta borra solo el puntero y conserva el manifiesto. El resultado es individual por entrada, permitiendo éxito parcial y repetición de limpiezas.
curl --request POST \
--url https://registry.{region}.basaltic.sh/v1/repositories/{repository_id}/images/batch-delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"digests": [
"sha256:1f3c9e0b8d7a6f5e4c3b2a190807f6e5d4c3b2a1908f7e6d5c4b3a2019f8e7d6c"
],
"tags": [
"v1.4.1"
]
}
'import requests
url = "https://registry.{region}.basaltic.sh/v1/repositories/{repository_id}/images/batch-delete"
payload = {
"digests": ["sha256:1f3c9e0b8d7a6f5e4c3b2a190807f6e5d4c3b2a1908f7e6d5c4b3a2019f8e7d6c"],
"tags": ["v1.4.1"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
digests: ['sha256:1f3c9e0b8d7a6f5e4c3b2a190807f6e5d4c3b2a1908f7e6d5c4b3a2019f8e7d6c'],
tags: ['v1.4.1']
})
};
fetch('https://registry.{region}.basaltic.sh/v1/repositories/{repository_id}/images/batch-delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://registry.{region}.basaltic.sh/v1/repositories/{repository_id}/images/batch-delete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'digests' => [
'sha256:1f3c9e0b8d7a6f5e4c3b2a190807f6e5d4c3b2a1908f7e6d5c4b3a2019f8e7d6c'
],
'tags' => [
'v1.4.1'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://registry.{region}.basaltic.sh/v1/repositories/{repository_id}/images/batch-delete"
payload := strings.NewReader("{\n \"digests\": [\n \"sha256:1f3c9e0b8d7a6f5e4c3b2a190807f6e5d4c3b2a1908f7e6d5c4b3a2019f8e7d6c\"\n ],\n \"tags\": [\n \"v1.4.1\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://registry.{region}.basaltic.sh/v1/repositories/{repository_id}/images/batch-delete")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"digests\": [\n \"sha256:1f3c9e0b8d7a6f5e4c3b2a190807f6e5d4c3b2a1908f7e6d5c4b3a2019f8e7d6c\"\n ],\n \"tags\": [\n \"v1.4.1\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://registry.{region}.basaltic.sh/v1/repositories/{repository_id}/images/batch-delete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"digests\": [\n \"sha256:1f3c9e0b8d7a6f5e4c3b2a190807f6e5d4c3b2a1908f7e6d5c4b3a2019f8e7d6c\"\n ],\n \"tags\": [\n \"v1.4.1\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"deleted": [
{
"digest": "<string>",
"tags": [
"<string>"
]
}
],
"failed": [
{
"code": "ImageNotFound",
"reason": "<string>",
"digest": "<string>",
"tag": "<string>"
}
]
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}registry:BatchDeleteImage. Consulte REGISTRY permisos para la lista completa, el alcance de cada acción y un ejemplo de política.Autorizaciones
Un token bearer de OAuth 2.0, enviado como Authorization: Bearer <token>. Esta es la forma recomendada de autenticación.
Obtén el token intercambiando el par de claves de acceso de una cuenta de servicio en POST /v1/oauth/token con grant_type=client_credentials. Es el flujo estándar de credenciales de cliente; las bibliotecas compatibles con OAuth pueden obtener y renovar el token por ti.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Los tokens duran una hora por defecto. El mismo par de claves de acceso también sirve como credencial AWS SigV4 para el endpoint de objetos compatible con S3, que solo acepta ese método de autenticación.
Parámetros de ruta
"a1b2c3d4-5e6f-4a7b-8c9d-0e1f2a3b4c5d"
Cuerpo
Entre 1 y 100 entradas en el total de ambas listas. Se pueden combinar digests y etiquetas.

